 package com.tanpu.feo.feojob.dao.user.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.tanpu.feo.feojob.dao.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 部门信息表Entity
 *
 * @author zejia zj wu 2021年05月18日
 * @version 1.0
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@TableName("department")
public class DepartmentEntity extends BaseEntity {

    private static final long serialVersionUID = 1L;
	/** 部门id */
	private String departmentId;
	/** 部门name */
	private String departmentName;
	/** 部门类型 */
	private String type;
	/** 上级部门id，为空表示上级就是机构 */
	private String parentDepartId;
	/** 机构id */
	private String orgId;
	/** 部门层级，从1开始，0表示机构 */
	private Integer level;
	/** 人数 */
	private Integer members;
    /** id 构造器*/
    public DepartmentEntity(String id) {
       super.setId(id);
    }
}
